http://robomaker.{region}.amazonaws.com/createSimulationApplicationVersionCreates a simulation application with a specific revision id.
The Amazon S3 eTag identifier for the zip file bundle that you use to create the simulation application.
The application information for the simulation application.
The SHA256 digest used to identify the Docker image URI used to created the simulation application.
The current revision id for the simulation application. If you provide a value and it matches the latest revision ID, a new version will be created.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://robomaker.{region}.amazonaws.com/createSimulationApplicationVersion' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://robomaker.{region}.amazonaws.com/createSimulationApplicationVersionCreates a simulation application with a specific revision id.
The Amazon S3 eTag identifier for the zip file bundle that you use to create the simulation application.
The application information for the simulation application.
The SHA256 digest used to identify the Docker image URI used to created the simulation application.
The current revision id for the simulation application. If you provide a value and it matches the latest revision ID, a new version will be created.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://robomaker.{region}.amazonaws.com/createSimulationApplicationVersion' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}